import request from '@/utils/request'

/**
* 保存应用
* @param {*} data 
* @returns 
*/
export const saveApp = (data) => request({
  url: '/admin/App',
  method: 'post',
  data
})

/**
 * 应用列表
 * @param {*} params 
 * @returns 
 */
export const getAppList = (params) => request({
  url: '/admin/App', params
})

/**
 * 删除应用
 * @param {*} data 
 * @returns 
 */
export const deleteApp = (id) => request({
  url: `/admin/App/${id}`, method: 'delete'
})
/**
 * 更新应用
 * @param {*} data 
 * @returns 
 */
export const UpdateApp = (data, id) => request({
  url: `/admin/App/${id}`, method: 'put', data
})
/**
 * 查询应用详情
 * @param {*} params 
 * @returns 
 */
export const getAppDetail = (id) => request({
  url: `/admin/App/${id}`
})